package com.dgtly.sync.service;

import com.dgtly.sync.domain.Customers;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 经销商 Service接口
 * 
 * @author dgtly
 * @date 2020-08-27
 */
public interface ICustomersService 
{
    /**
     * 查询经销商 
     * 
     * @param id 经销商 ID
     * @return 经销商 
     */
    public Customers selectCustomersById(Long id);

    /**
     * 查询经销商 列表
     * 
     * @param customers 经销商 
     * @return 经销商 集合
     */
    public List<Customers> selectCustomersList(Customers customers);

    /**
     * 新增经销商 
     * 
     * @param customers 经销商 
     * @return 结果
     */
    public int insertCustomers(Customers customers);

    /**
     * 修改经销商 
     * 
     * @param customers 经销商 
     * @return 结果
     */
    public int updateCustomers(Customers customers);

    /**
     * 批量删除经销商 
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomersByIds(String ids);

    /**
     * 删除经销商 信息
     * 
     * @param id 经销商 ID
     * @return 结果
     */
    public int deleteCustomersById(Long id);

    /**
     * @description:根据经销商code查询名称
     * @param:
     * @return:
     * @author: njs
     * @date: 2023/8/29 9:32
     */
    public String selectCustomerNameByCustomerCode(String customerCode);
}
